<template>
  <div class="bg-[#F7FBFD] px-5 md:px-0 pt-14 pb-24 md:pb-0 md:pt-0">
    <div class="w-full md:w-[1267px] mx-auto h-auto md:h-[736px] block md:flex items-center justify-between">
      <div class="w-full md:w-[591px] shrink-0 text-[24px] md:text-[40px] text-[#133F5D] font-bold leading-8 md:leading-[60px] text-center md:text-left mb-10 md:mb-0">Lihat Simulasi Penggunaan Limit yang Diberikan!</div>
      <div class="relative w-full md:w-[619px] flex justify-center">
        <img :src="frame1" class="absolute left-0 top-[50%] -mt-[162px] w-[217px]" alt="frame1">
        <img :src="frame2" class="absolute right-0 top-[50%] -mt-[162px] w-[217px]" alt="frame2">
        <div class="bg-white rounded-[8px] w-[325px] p-6 card-shadow relative z-10">
          <img :src="lampImage" alt="lamp" class="mb-4" />
          <div class="text-[24px] text-[#133F5D] font-bold mb-4 leading-[32px]">EVEDAL Night Lamp</div>
          <div class="flex justify-between w-full">
            <div class="text-[20px] text-[#4195D5] font-bold">Rp5.000.000</div>
            <div class="flex border border-[#ECEFF1] h-[28px] rounded-[2px] mb-8">
              <div class="w-5 h-[26px] border-r border-[#ECEFF1] flex items-center justify-center text-[22px] font-bold text-[#4195D5] cursor-pointer">-</div>
              <div class="w-[47px] h-[26px] border-r border-[#ECEFF1] flex items-center justify-center text-[16px] text-[#133F5D]">50</div>
              <div class="w-5 h-[26px] flex items-center justify-center text-[16px] font-bold text-[#4195D5] cursor-pointer">+</div>
            </div>
          </div>
          <button @click="isCheckoutModalShow = true" class="bg-[#93C854] w-full rounded-full h-[45px] leading-[45px] text-white text-[20px] font-bold text-center">Bayar Sekarang</button>
        </div>
        <div class="flex justify-center absolute w-full left-0 -bottom-[47px] items-center animate-up-down-text">
          <font-awesome-icon icon="arrow-up" class="w-[16px] h-[16px] text-[#C2CDD5] mr-2" />
          <div class="text-[16px] text-[#C2CDD5]">Anda dapat berinteraksi pada tampilan ini</div>
        </div>
      </div>
    </div>
    <CheckoutModal v-if="isCheckoutModalShow" />
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus';
import CheckoutModal from './CheckoutModal.vue'

export default {
  name: 'CheckoutSection',
  components: {
    CheckoutModal,
  },
  data() {
    return {
      lampImage: require('@/assets/images/lamp.png'),
      frame1: require('@/assets/images/frame1.jpg'),
      frame2: require('@/assets/images/frame2.jpg'),
      isCheckoutModalShow: false
    }
  },
  created() {
    EventBus.$on('close-modal', this.closeModal);
  },
  methods: {
    closeModal() {
      this.isCheckoutModalShow = false
    }
  }
}
</script>

<style lang="scss">
.card-shadow {
  box-shadow: 0px 0px 16px 0px rgba(63, 86, 103, 0.10);
}
</style>
